import { FinancialOverlay } from "./FinancialOverlay";
import { List$1 } from "igniteui-angular-core";
import { Type, Point } from "igniteui-angular-core";
import { CategoryFrame } from "./CategoryFrame";
import { AxisRange } from "./AxisRange";
import { Axis } from "./Axis";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { Rect } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { Polyline } from "igniteui-angular-core";
import { Polygon } from "igniteui-angular-core";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class BollingerBandsOverlay extends FinancialOverlay {
    static $t: Type;
    constructor();
    pt: number;
    ps: number;
    protected iz(a: any, b: string, c: any, d: any): void;
    private pq;
    private pr;
    protected pj(): boolean;
    an(a: Axis): AxisRange;
    po: List$1<number>;
    pp: List$1<number>;
    oz(a: CategoryFrame, b: FinancialSeriesView): void;
    hv(a: boolean, b: SeriesView): void;
    en(a: Point, b: boolean, c: boolean): number;
    fe(a: Point, b: boolean): number;
    fc(a: Point, b: boolean): number;
    dw(a: Rect, b: Rect, c: SeriesView): boolean;
    o1(a: CategoryFrame, b: FinancialSeriesView): void;
    protected bf(): SeriesView;
    iu(a: SeriesView): void;
    private pn;
    protected n8(): number;
    eh(): number;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BollingerBandsBucketCalculator extends FinancialBucketCalculator {
    static $t: Type;
    constructor(a: FinancialSeriesView);
    protected f: BollingerBandsOverlayView;
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class BollingerBandsOverlayView extends FinancialSeriesView {
    static $t: Type;
    b0: BollingerBandsOverlay;
    constructor(a: BollingerBandsOverlay);
    ap(): void;
    protected bv(): FinancialBucketCalculator;
    b2(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: (arg1: number) => number, e: (arg1: number) => number, f: (arg1: number) => number): void;
    b1(): void;
    readonly b4: Polygon;
    readonly b9: Polyline;
    readonly ca: Polyline;
    readonly cb: Polyline;
    private b5;
    private cc;
    private cd;
    private ce;
    private b3;
    private b6;
    private b7;
    private b8;
    protected a9(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
}
